TLSRPT_GET_SOCKET(3)

NAME
tlsrpt_get_socket - returns the socket file descriptor used within a `tlsrpt_connection_t`

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_get_socket(truct tlsrpt_connection_t* con)

DESCRIPTION

The tlsrpt_get_socket function returns the socket file descriptor used within a tlsrpt_connection_t. This can be useful to set socket options.

RETURN VALUE

The tlsrpt_get_socket function returns the socket file descriptor used within a tlsrpt_connection_t.

SEE ALSO

tlsrpt_strerror(3), tlsrpt_error_code_is_internal(3)

AUTHOR(S)

Boris Lohner
    Author(s).